<!DOCTYPE html>
<html>
<head>
<title>Spade Application</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="../code.jquery.com/mobile/spade.min.css" />
<link rel="stylesheet"
	href="../code.jquery.com/mobile/jquery.mobile.icons.min.css" />
<link rel="stylesheet"
	href="https://code.jquery.com/mobile/1.4.5/jquery.mobile.structure-1.4.5.min.css" />
<script src="https://code.jquery.com/jquery-2.1.4.min.js"></script>
<script
	src="https://code.jquery.com/mobile/1.4.5/jquery.mobile-1.4.5.min.js"></script>
<script src="../code.highcharts.com/2.3/highcharts.js"
	type="text/javascript"></script>
<script src="../code.highcharts.com/2.3/themes/gray.js"
	type="text/javascript"></script>
</head>
<body>
	<div id="application_status_page" data-role="page">
		<div data-role="header">
			<h1>SPADE Application</h1>
		</div>
		<!-- /header -->
		<div role="main" class="ui-content">
			<div id="application_management">
				<ul data-role="listview" data-inset="true">
					<li><div>
							<span id="application_identity"
								style="top: 8px; position: relative;">Unknown</span> <span
								id="application_request" style="float: right;"><select
								name="application" id="application_flipswitch" data-mini="true"
								data-role="flipswitch" data-disabled="true" disabled="disabled">
									<option value="off">Off</option>
									<option value="on">On</option>
							</select> </span>
						</div></li>
					<li><a id="activities_status" href="#" data-transition="slide">Activity
							Status</a></li>
				</ul>
			</div>
			<ul data-role="listview" data-inset="true">
				<li><div id="application_counts_summary"
						style="width: 100%; height: 224px"></div></li>
				<li><a id="application_counts_detail" href="#"
					data-transition="slide">Detailed Counts</a></li>
			</ul>
			<!-- actions -->
			<div id="spade_actions_panel" data-role="collapsible"
				style="display: none">
				<h2>Actions</h2>
				<div data-role="controlgroup" id="spade_action_buttons">
					<button id="scan/local" type="button">Scan For New Local
						Files</button>
					<button id="scan/inbound" type="button">Scan For New
						Inbound Files</button>
					<button id="scan/delivery" type="button">Scan For
						Successful Deliveries Email</button>
				</div>
			</div>

		</div>
		<!-- /content -->
	</div>
	<!-- /page -->
	<script src="../scripts/bootstrap.js" type="text/javascript"></script>
	<script type="text/javascript">
		var query_defaults = {
			'instance' : 'local',
			'interval' : '31'
		}

		// Add a script element as a child of the body
		function downloadJSAtOnload() {
			// Set HREF now (to speed up loading).
			$('#activities_status').attr('href', 'activities.html');
			$('#application_counts_detail').attr('href', 'counts.html');

			// From bootstrap.js
			scriptLoader.load([ '../scripts/date_manipulation.js',
					'../scripts/spade_controls.js',
					'../code.highcharts.com/2.3/highcharts.js',
					'../code.highcharts.com/2.3/themes/gray.js',
					'../scripts/counts.js', '../scripts/application.js',
					'../scripts/startApplication.js' ]);
		}

		// Check for browser support of event handling capability
		if (window.addEventListener) {
			window.addEventListener("load", downloadJSAtOnload, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", downloadJSAtOnload);
		} else {
			window.onload = downloadJSAtOnload;
		}
	</script>
</body>
</html>